%define pypi_name pycparser

Name:           python-%{pypi_name}
Summary:        C parser and AST generator written in Python
Version:        2.20
Release:        %mkrel 4
License:        BSD
Group:          Development/Python
URL:            https://github.com/eliben/pycparser
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        pycparser-2.10-remove-relative-sys-path.py

Patch100:       pycparser-2.14-disable-embedded-ply.patch
# From Fedora ; I don't think we should request upstream to
# remove embedded libraries from their distribuution, when we can remove
# them during packaging.

BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(ply)

%description
pycparser is a complete parser for the C language, written in pure Python.
It is a module designed to be easily integrated into applications that
need to parse C source code.

%package -n python3-%{pypi_name}
Summary:        C parser and AST generator written in Python
Group:          Development/Python
Requires:       python3dist(ply)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pycparser is a complete parser for the C language, written in pure Python.
It is a module designed to be easily integrated into applications that
need to parse C source code.

%prep
%setup -q -n %{pypi_name}-%{version}
%patch100 -p1

# remove embedded copy of ply
rm -rf pycparser/ply

# examples
%{__python3} %{SOURCE1} examples

%build
%py3_build
pushd build/lib/pycparser
%{__python3} _build_tables.py
popd

%install
%py3_install

%check
%{__python3} tests/all_tests.py

%files -n python3-%{pypi_name}
%doc examples
%license LICENSE
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-*.egg-info


%changelog
* Thu Mar 24 2022 umeabot <umeabot> 2.20-4.mga9
+ Revision: 1824680
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 2.20-3.mga9
+ Revision: 1772370
- rebuild for python3.10

* Mon Mar 15 2021 neoclust <neoclust> 2.20-2.mga9
+ Revision: 1703154
- Rebuild against python 3.9

* Tue Sep 15 2020 guillomovitch <guillomovitch> 2.20-1.mga8
+ Revision: 1626757
- new version 2.20

* Sun Feb 16 2020 umeabot <umeabot> 2.19-4.mga8
+ Revision: 1530723
- Mageia 8 Mass Rebuild

* Wed Sep 04 2019 wally <wally> 2.19-3.mga8
+ Revision: 1437359
- rebuild for python3.8
- drop python2 support

* Sat Jan 05 2019 wally <wally> 2.19-2.mga7
+ Revision: 1349605
- rebuild for python3.7

* Mon Dec 31 2018 luigiwalser <luigiwalser> 2.19-1.mga7
+ Revision: 1347672
- 2.19
- rediff patch 100

* Thu Sep 20 2018 umeabot <umeabot> 2.18-2.mga7
+ Revision: 1289768
- Mageia 7 Mass Rebuild

* Fri Apr 20 2018 kekepower <kekepower> 2.18-1.mga7
+ Revision: 1220439
- Update to version 2.18
- Renamed python-pycparser to python2-pycparser
- Use python_provide

* Fri Jan 12 2018 shlomif <shlomif> 2.14-4.mga7
+ Revision: 1192465
- Rebuild for new python-ply to get rid of a warn
- See https://bugzilla.redhat.com/show_bug.cgi?id=1336913 .

* Fri Aug 04 2017 tv <tv> 2.14-3.mga7
+ Revision: 1134745
- rebuild for new python

* Sat Feb 20 2016 umeabot <umeabot> 2.14-2.mga6
+ Revision: 972280
- Mageia 6 Mass Rebuild

* Sun Nov 01 2015 philippem <philippem> 2.14-1.mga6
+ Revision: 897139
- update to 2.14

* Thu Oct 08 2015 tv <tv> 2.10-8.mga6
+ Revision: 887450
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 2.10-7.mga5
+ Revision: 748534
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.10-6.mga5
+ Revision: 726913
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.10-5.mga5
+ Revision: 688243
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.10-4.mga5
+ Revision: 628935
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.10-3.mga4
+ Revision: 543976
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.10-2.mga4
+ Revision: 499162
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 philippem <philippem> 2.10-1.mga4
+ Revision: 492661
- imported package python-pycparser

